# QVM: Quaternions, Vectors, Matrices

### operator*=(quat,scalar)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            A & operator*=( A & a, B b );
        }
    }

#### Effects:

This operation multiplies the quaternion a by the scalar b.

#### Returns:

a.

See also: Accessing Quaternion Elements | boost/qvm/quat_operations.hpp | boost/qvm/quat_traits_array.hpp